generator:
  class: sfDoctrineGenerator
  param:
    model_class:           Callback
    theme:                 admin
    non_verbose_templates: true
    with_show:             false
    singular:              ~
    plural:                ~
    route_prefix:          callback
    with_doctrine_route:   true
    actions_base_class:    sfActions

    config:
      tabs:
        0: { label: 'Обратный звонок', where: 'offer_id is null' }
        1: { label: 'Узнать цену', where: 'offer_id is not null' }
      actions: ~
      fields:
        id: {label: ''}
        name: {label: 'Имя'}
        phone: {label: 'Телефон'}
        created_at: {label: 'Дата'}
        updated_at: {label: ''}
        offer_id: {label: 'Товар'}
        is_done: {label: 'Позвонили'}
      list:
        layout: ~
        title: 'Обратный звонок'
        display: [name, phone, is_done, _offer_id, created_at]
        max_per_page: 100
        object_actions:
          _delete: ~
          _edit: ~
        search:
          fields: [name, phone]
        export: false
        sort: [created_at, DESC]
      filter:
        class: false
      form: ~
      edit:
        title: Редактирование заявки
      new:
        title: Добавление заявки